SoMFUInt32 Class Reference
Field Classes

The SoMFUInt32 class is a container for 32-bit unsigned integer values. More...

`#include <Inventor/fields/SoMFUInt32.h>`

Inheritance diagram for SoMFUInt32:

## Public Member Functions

virtual SoType | getTypeId (void) const
virtual void | copyFrom (const SoField &field)
const SoMFUInt32 & | operator= (const SoMFUInt32 &field)
virtual SbBool | isSame (const SoField &field) const
uint32_t | operator[] (const int idx) const
const uint32_t * | getValues (const int start) const
int | find (uint32_t value, SbBool addifnotfound=FALSE)
void | setValues (const int start, const int num, const uint32_t *newvals)
void | set1Value (const int idx, uint32_t value)
void | setValue (uint32_t value)
uint32_t | operator= (uint32_t val)
SbBool | operator== (const SoMFUInt32 &field) const
SbBool | operator!= (const SoMFUInt32 &field) const
uint32_t * | startEditing (void)
void | finishEditing (void)
void | setValuesPointer (const int num, const uint32_t *userdata)
void | setValuesPointer (const int num, uint32_t *userdata)
Public Member Functions inherited from SoMField
virtual | ~SoMField ()
int | getNum (void) const
void | setNum (const int num)
virtual void | deleteValues (int start, int num=-1)
virtual void | insertSpace (int start, int num)
SbBool | set1 (const int index, const char *const valuestring)
void | get1 (const int index, SbString &valuestring)
virtual void | enableDeleteValues (void)
virtual SbBool | isDeleteValuesEnabled (void) const
Public Member Functions inherited from SoField
virtual | ~SoField ()
void | setIgnored (SbBool ignore)
SbBool | isIgnored (void) const
void | setDefault (SbBool defaultVal)
SbBool | isDefault (void) const
SbBool | isOfType (const SoType type) const
void | enableConnection (SbBool flag)
SbBool | isConnectionEnabled (void) const
SbBool | connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void | disconnect (SoEngineOutput *engineoutput)
SbBool | isConnectedFromEngine (void) const
SbBool | getConnectedEngine (SoEngineOutput *&master) const
SbBool | connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoField *master, SbBool notnotify=FALSE)
void | disconnect (SoField *field)
SbBool | isConnectedFromField (void) const
SbBool | getConnectedField (SoField *&master) const
int | getNumConnections (void) const
int | getForwardConnections (SoFieldList &slavelist) const
int | getConnections (SoFieldList &masterlist) const
void | disconnect (void)
SbBool | isConnected (void) const
void | setContainer (SoFieldContainer *cont)
SoFieldContainer * | getContainer (void) const
SbBool | set (const char *valuestring)
void | get (SbString &valuestring)
SbBool | shouldWrite (void) const
virtual void | touch (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *nlist)
SbBool | enableNotify (SbBool on)
SbBool | isNotifyEnabled (void) const
void | addAuditor (void *f, SoNotRec::Type type)
void | removeAuditor (void *f, SoNotRec::Type type)
int | operator== (const SoField &f) const
int | operator!= (const SoField &f) const
virtual void | connectionStatusChanged (int numconnections)
SbBool | isReadOnly (void) const
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
void | copyConnection (const SoField *fromfield)
virtual SbBool | read (SoInput *input, const SbName &name)
virtual void | write (SoOutput *out, const SbName &name) const
virtual void | countWriteRefs (SoOutput *out) const
void | setFieldType (int type)
int | getFieldType (void) const
SbBool | getDirty (void) const
void | setDirty (SbBool dirty)
void | evaluate (void) const

## Static Public Member Functions

static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoMField
static SoType | getClassTypeId (void)
static void | atexit_cleanup (void)
static void | initClass (void)
Static Public Member Functions inherited from SoField
static void | initClass (void)
static void | initClasses (void)
static void | cleanupClass (void)
static SoType | getClassTypeId (void)

## Protected Member Functions

virtual void | deleteAllValues (void)
virtual void | copyValue (int to, int from)
virtual int | fieldSizeof (void) const
virtual void * | valuesPtr (void)
virtual void | setValuesPtr (void *ptr)
virtual void | allocValues (int num)
Protected Member Functions inherited from SoMField
| SoMField (void)
virtual void | makeRoom (int newnum)
virtual SoNotRec | createNotRec (SoBase *container)
void | setChangedIndex (const int chgidx)
void | setChangedIndices (const int chgidx=-1, const int numchgind=0)
Protected Member Functions inherited from SoField
| SoField (void)
void | valueChanged (SbBool resetdefault=TRUE)
virtual void | evaluateConnection (void) const
virtual SbBool | readConnection (SoInput *in)
virtual void | writeConnection (SoOutput *out) const
SbBool | isDestructing (void) const

## Protected Attributes

uint32_t * | values
Protected Attributes inherited from SoMField
int | num
int | maxNum
SbBool | userDataIsUsed

## Additional Inherited Members

Public Types inherited from SoField
enum | FieldType { NORMAL_FIELD = 0 , EVENTIN_FIELD , EVENTOUT_FIELD , EXPOSED_FIELD }

## Detailed Description

The SoMFUInt32 class is a container for 32-bit unsigned integer values.

This field is used where nodes, engines or other field containers need to store a group of multiple 32-bit unsigned integer values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
  SoSFUInt32

## Member Function Documentation

## createInstance()

void * SoMFUInt32::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## getClassTypeId()

SoType SoMFUInt32::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

## getTypeId()

SoType SoMFUInt32::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and "downward" casting.

Implements SoField.

## copyFrom()

void SoMFUInt32::copyFrom | ( | const SoField & | f | ) |

virtual

Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

## isSame()

SbBool SoMFUInt32::isSame | ( | const SoField & | f | ) | const

virtual

Check for equal type and value(s).

Implements SoField.

## deleteAllValues()

void SoMFUInt32::deleteAllValues | ( | void |  | ) |

protected virtual

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

## copyValue()

void SoMFUInt32::copyValue | ( | int | to,
|  | int | from )

protected virtual

This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

## getValues()

const uint32_t * SoMFUInt32::getValues | ( | const int | start | ) | const

inline

Returns a pointer to the values array.

## initClass()

void SoMFUInt32::initClass | ( | void |  | ) |

static

Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

The documentation for this class was generated from the following files:

- SoMFUInt32.h
- SoMFUInt32.cpp